<div style="margin-top: 20px">
    <div class="container">
      <div class="row">
        <div style="margin-bottom: 10px"></div>
        <div class="ui-g-12">
                <h1>            <span> &nbsp; Approval BBM</span>
                </h1>
            <!-- <div class="ui-g-12">
                <br>
                <h2>Periode </h2>
                <div class="ui-g-1">
                    <p-dropdown [options]="tahun" [(ngModel)]="pilihTahun" id="field_Tahun">
                    </p-dropdown>
                </div>
            </div> -->
        </div>
        <p-tabView>
          <br />
          <p-tabPanel header="New">
            <jhi-tab-approval-bbm         
            [idStatusType]="10">
            </jhi-tab-approval-bbm>
          </p-tabPanel>
         <p-tabPanel header="Approved">
            <form name="searchForm" class="form-inline">
              <div class="input-group w-100 mt-3">
                <input
                [hidden] = "internal !== 'TEKNIK'"
                  type="text"
                  class="form-control"
                  [(ngModel)]="currentSearch"
                  id="currentSearch"
                  name="currentSearch"
                  placeholder="Please Insert BBM Number or Name Supplier Or Code Supplier Or No PO"
                />
                <input
                [hidden] = "internal === 'TEKNIK'"
                  type="text"
                  class="form-control"
                  [(ngModel)]="currentSearch"
                  id="currentSearch"
                  name="currentSearch"
                  placeholder="Please Insert BBM Number Or Code Supplier Or No PO"
                />
                <button
                  class="input-group-addon btn btn-info flat-style-button"
                  (click)="search9(currentSearch)"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-search"></span>
                </button>
                <button
                  class="input-group-addon btn btn-danger flat-style-button"
                  (click)="clear()"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-trash-o"></span>
                </button>
              </div>
            </form>
            <br />
  
          <p-dataTable
              *ngIf = "internal === 'TEKNIK'"
              [value]="joborders1"
              [(selection)]="selected"
              [editable]="true"
              [rows]="itemsPerPage"
              [headerCheckboxToggleAllPages]="true"
              [paginator]="true"
              [pageLinks]="5"
              [rowsPerPageOptions]="[10, 15, 20]"
              [totalRecords]="totalItems"
              [responsive]="true"
              [lazy]="true"
              [(first)]="first"
              row="itemsPerPage"
              totalRecords="totalItems"
              dataKey="no_bbm"
              expandableRows="false"
              rowHover="true"
              (onLazyLoad)="loadDataLazy($event)"
            >
              <p-header> </p-header>
              <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
              <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                  <ng-template let-rowIndex="rowIndex" pTemplate="body">
                      {{rowIndex + 1}}
                  </ng-template>
              </p-column>
              <p-column header="No BBM">
                  <ng-template let-rowData="rowData" pTemplate="body">
                      {{rowData.no_bbm}}
                  </ng-template>
              </p-column>
              <p-column header="Tanggal BBM">
                  <ng-template let-rowData="rowData" pTemplate="body">
                      {{rowData.tgl_bbm | date:'dd-MM-yyyy'}}
                  </ng-template>
              </p-column>
              <p-column header="No. PP">
                  <ng-template let-rowData="rowData" pTemplate="body">
                      {{rowData.no_pp}}
                  </ng-template>
              </p-column>
              <p-column header="No. PO">
                  <ng-template let-rowData="rowData" pTemplate="body">
                      {{rowData.no_po}}
                  </ng-template>
              </p-column>
              <p-column header="Pemasok">
                  <ng-template let-rowData="rowData" pTemplate="body">
                      {{rowData.supplier}}
                  </ng-template>
              </p-column>
              <p-column header="No SJ">
                  <ng-template let-rowData="rowData" pTemplate="body">
                      {{rowData.no_sj}}
                  </ng-template>
              </p-column>
              <p-column header="Tgl SJ">
                  <ng-template let-rowData="rowData" pTemplate="body">
                      {{rowData.tgl_sj | date:'dd-MM-yyyy'}}
                  </ng-template>
              </p-column>
              <p-column header="Status">
                  <ng-template let-rowData="rowData" pTemplate="body">
                      {{rowData.status1}}
                  </ng-template>
              </p-column>
              <p-column header="Di Buat Oleh">
                  <ng-template let-rowData="rowData" pTemplate="body">
                      {{rowData.iduser}}
                  </ng-template>
              </p-column>
    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit"
                    (click)="lihatPO(rowData)" 
                    icon="fa-eye" pTooltip="Preview Detail BBM"
                    class="flat-button">
            </button>
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
          </p-dataTable>

          <p-dataTable
          *ngIf = "internal !== 'TEKNIK'"
          [value]="joborders"
          [(selection)]="selected"
          [editable]="true"
          [rows]="itemsPerPage"
          [headerCheckboxToggleAllPages]="true"
          [paginator]="true"
          [pageLinks]="5"
          [rowsPerPageOptions]="[10,15,20]"
          [totalRecords]="totalItems"
          [responsive]="true"
          [lazy]="true"
          [(first)]="first"
          row="itemsPerPage"
          totalRecords="totalItems"
          dataKey="no_bbm"
          expandableRows="false"
          rowHover="true"
          (onLazyLoad)="loadDataLazy($event)">
          <p-header>
          </p-header>
           <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
          <!-- <a [routerLink]="['../../approval-job-order-edit/'+ jobOrder.idOrder]" (click)="gotoDetail(jobOrder)" style="color:black;"></a> -->
           <p-column header="No BBM">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.no_bbm}}
        </ng-template>
    </p-column>
    <p-column header="Tanggal BBM">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.tgl_bbm | date:'dd-MM-yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="Nomor PO">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.no_po}}
        </ng-template>
    </p-column>
    <p-column header="Supplier">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.kd_supplier}} - {{rowData.nm_supplier}}
        </ng-template>
    </p-column>
    <p-column header="No Surat Jalan">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.no_sj_supplier}}
        </ng-template>
    </p-column>
    <p-column header="Tanggal Surat Jalan">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.tgl_sj_supplier | date:'dd-MM-yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="Dibuat Oleh">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.iduser}}
        </ng-template>
    </p-column>
    <p-column header="Menyetujui">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.id_app}}
        </ng-template>
    </p-column>
          <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
              <ng-template let-rowData="rowData" pTemplate="body">
                  <button pButton type="submit"
                          (click)="lihatPO1(rowData)" 
                          icon="fa-eye" pTooltip="Preview Detail BBM"
                          class="flat-button">
                  </button>
              </ng-template>
          </p-column>
          <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
          </ng-template>
          </p-dataTable>
  
        </p-tabPanel>

        <p-tabPanel header="Not Approved" *ngIf = "internal === 'TEKNIK'">
            <form name="searchForm" class="form-inline">
              <div class="input-group w-100 mt-3">
                <input
                  type="text"
                  class="form-control"
                  [(ngModel)]="currentSearch"
                  id="currentSearch"
                  name="currentSearch"
                  placeholder="Please Insert BBM Number or Name Supplier Or Code Supplier Or No PO"
                />
                <button
                  class="input-group-addon btn btn-info flat-style-button"
                  (click)="search13(currentSearch)"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-search"></span>
                </button>
                <button
                  class="input-group-addon btn btn-danger flat-style-button"
                  (click)="clear()"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-trash-o"></span>
                </button>
              </div>
            </form>
            <br />
            <p-dataTable
            [value]="joborders2"
            [(selection)]="selected"
            [editable]="true"
            [rows]="itemsPerPage"
            [headerCheckboxToggleAllPages]="true"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10, 15, 20]"
            [totalRecords]="totalItems"
            [responsive]="true"
            [lazy]="true"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItems"
            dataKey="no_bbm"
            expandableRows="false"
            rowHover="true"
            (onLazyLoad)="loadDataLazy($event)"
          >
            <p-header> </p-header>
            <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
            <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="No BBM">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_bbm}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal BBM">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tgl_bbm | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="No. PP">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_pp}}
                </ng-template>
            </p-column>
            <p-column header="No. PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_po}}
                </ng-template>
            </p-column>
            <p-column header="Pemasok">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.supplier}}
                </ng-template>
            </p-column>
            <p-column header="No SJ">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_sj}}
                </ng-template>
            </p-column>
            <p-column header="Tgl SJ">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tgl_sj | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Status">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.status1}}
                </ng-template>
            </p-column>
            <p-column header="Di Buat Oleh">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.iduser}}
                </ng-template>
            </p-column>
  <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
      <ng-template let-rowData="rowData" pTemplate="body">
          <button pButton type="submit"
                  (click)="lihatPO(rowData)" 
                  icon="fa-eye" pTooltip="Preview Detail BBM"
                  class="flat-button">
          </button>
      </ng-template>
  </p-column>
  <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
  </ng-template>
          </p-dataTable>
  
        </p-tabPanel>
  
        </p-tabView>
      </div>
    </div>
  </div>
  <div style="margin-top: 10px"></div>
  <p-dialog header="Detail BBM" [(visible)]="modalLihatBBM2" modal="true" [width]="1000">
    <form name="lihatpo" role="form" novalidate #editForm="ngForm">
        <div>
            <p-dataTable [value]="detailBBMT" [editable]="true" [rows]="itemsPerPage" [paginator]="false"
                [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
                [lazy]="true" row="itemsPerPage" totalRecords="totalItems" dataKey="no_bbm" expandableRows="false"
                rowHover="true" (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
                <p-header>
                </p-header>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Kode Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.kd_barang}}
                    </ng-template>
                </p-column>
                <p-column header="Nama Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nama_barang}}
                    </ng-template>
                </p-column>
                <p-column header="Qty PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty_po}}
                    </ng-template>
                </p-column>
                <p-column header="Qty">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty}}
                    </ng-template>
                </p-column><p-column header="Satuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.satuan}}
                    </ng-template>
                </p-column>
            <p-column header="Lokasi">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.lokasi}}
                </ng-template>
            </p-column>
            <p-column header="Keterangan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.ket}}
                </ng-template>
            </p-column>
            <p-column header="Exp Date">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.exp_date | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Exp Halal">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.exp_halal | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </form>
</p-dialog>

<p-dialog header="Detail BBM" [(visible)]="modalLihatBBM1" modal="true" [width]="1000">
    <form name="lihatpo" role="form" novalidate #editForm="ngForm">
        <div>
            <p-dataTable [value]="detailBBM" [editable]="true" [rows]="itemsPerPage" [paginator]="false"
                [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
                [lazy]="true" row="itemsPerPage" totalRecords="totalItems" dataKey="no_bbm" expandableRows="false"
                rowHover="true" (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
                <p-header>
                </p-header>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.kd_bahan}} - {{rowData.nmbahan}}
                    </ng-template>
                </p-column>
                <p-column header="Qty">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty}}
                    </ng-template>
                </p-column>
                <p-column header="Satuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.satuan}}
                    </ng-template>
                </p-column>
                <p-column header="Batch Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_batch}}
                    </ng-template>
                </p-column>
                <p-column header="Tanggal Kadaluarsa">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_exp | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Halal Kadaluarsa">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_exphal | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Status">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.hasil}}
                    </ng-template>
                </p-column>
                <p-column header="Keterangan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.keterangan}}
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </form>
</p-dialog>
  <p-confirmDialog header="Information" icon="fa fa-info"></p-confirmDialog>
  